@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap');

*{
    box-sizing: border-box;
}

:root{
    --primary-color:#34224b;
    --secondary-color: #633769;
}

body{
    background-color: var(--primary-color);
    font-family: 'Poppins', sans-serif;
    margin: 0;
}


header{
    padding: 25px;
    display:flex;
    justify-content: flex-end;
    background-color: var(--secondary-color);

}

.search{
    background-color: transparent;
    border: 2px solid var(--primary-color);
    padding:0.5rem 1rem;
    border-radius: 50px;
    font-size: 1rem;
    color:#fff;
    font-family: inherit;
}

.search:focus{
    outline:0;
    background-color: var(--primary-color);
}

.search::placeholder{
    color: #7378c5;
}

main{
    display:flex;
    flex-wrap: wrap;
    justify-content: center;
}

.movie {
    width: 300px;
    margin: 1rem;
    border-radius: 3px;
    box-shadow: 0.2px 4px 5px rgba(0,0,0,0.1);
    background-color: var(--secondary-color);
    position:relative;
    overflow: hidden;
}


.movie img{
    width:100%;
}

.movie-info{
    color:#eee;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1rem 1rem;
    letter-spacing: 0.5px;
}

.movie-info h3{
    margin-top: 0;
}

.movie-info span{
    background-color: var(--primary-color);
    padding: 0.25rem 0.5rem;
    border-radius: 3px;
    font-weight: bold;
}

.movie-info span.green{
    color:lightgreen;
}

.movie-info span.orange{
    color:rgba(0, 132, 255, 0.514)
}

.movie-info span.red{
    color:red;
}

.overview{
    position:absolute;
    left:0;
    right:0;
    bottom:0;
    background-color: #fff;
    padding: 1rem;
    max-height: 100%;
    transform:translateY(101%);
    transition:transform 0.3s ease-in;
}

.movie:hover .overview{
    transform:translateY(0)
}

#tags{
    width:95%;
    display:flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 50px auto;
    transition: all 400ms ease;
    color: white;
}

.tag{
    color:rgba(255, 255, 255, 0.747) !important;
    padding:10px 20px;
    background-color: rgba(0, 132, 255, 0);  
    margin:5px;
    display:inline-block;
    cursor: pointer;
    border-radius: 10px;
}

.tag:hover{
    background-color: rgba(255, 255, 255, 0.295);
    color:black ;
}

.tag.highlight{
    background-color: red;
}
.no-results{
    color:white;
}

.pagination{
    display:flex;
    margin:10px 30px;
    align-items: center;
    justify-content: center;
    color:white;
}

.page{
    padding:20px;
    cursor:pointer;
}

.page.disabled{
    cursor:not-allowed;
    color:grey;
}

.current{
    padding: 10px 20px;
    border-radius: 50%;
    border: 5px solid rgba(0, 132, 255, 0.514);
    font-size: 20px;
    font-weight: 600;
}

.know-more{
    background-color: rgba(0, 132, 255, 0.514);
    color:white;
    font-size: 16px;
    font-weight: bold;
    border:0;
    border-radius: 50px;
    padding: 10px 20px;
    margin-top: 5px;
}
/* The Overlay (background) */
.overlay {
    /* Height & width depends on how you want to reveal the overlay (see JS below) */   
    height: 100%;
    width: 0;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); /* Black fallback color */
    background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
}
  
/* Position the content inside the overlay */
.overlay-content {
    position: relative;
    top: 10%; /* 25% from the top */
    width: 100%; /* 100% width */
    text-align: center; /* Centered text/links */
    margin-top: 30px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}
  
/* The navigation links inside the overlay */
.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #818181;
    display: block; /* Display block instead of inline */
    transition: 0.3s; /* Transition effects on hover (color) */
}
  
/* When you mouse over the navigation links, change their color */
.overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
}
  
/* Position the close button (top right corner) */
.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}
  
/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
    .overlay a {font-size: 20px}
    .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
    }
}


.embed.hide{
    display: none;
}

.embed.show{
    display: inline-block;
}

.arrow{
    position: absolute;
    font-size: 40px;
}

.arrow.left-arrow{
    top:50%;
    left:5%;
    transform: translateY(-50%);
}

  
.arrow.right-arrow{
    top:50%;
    transform: translateY(-50%);
    right:5%;
}

.dots{
    margin-top: 30px;
}

.dots .dot {
    padding: 5px 15px;
    border-radius: 50%;
    border: 5px solid var(--secondary-color);
    color: white;
    font-size: 20px;
    font-weight: 600;
    margin: 5px;
}

.dots .dot.active{
    border-color: rgba(0, 132, 255, 0.514);
}

.card >button {
    background-image: linear-gradient(to right, rgba(161, 42, 230, 0.918), rgba(46, 3, 59, 0.884));
    border: 2px solid var(--primary-color);
    padding: 0.5rem 1rem;
    border-radius: 50px;
    font-size: 1rem;
    color: white;
    font-family: inherit;
}

.form-control{
    width: 260px;
    height: 50px;
    display: inline-block !important;
}

.card{
    display: inline-block !important;
    align-items: center;
    flex-wrap: wrap;
    background-color: var(--secondary-color);
    max-width: 900px;
    width: 100%;
}

@media screen and (max-height: 550px){
    .card a{font-size: 20px}
    .card >button{
        font-size: 40px;
        top: 5px;
        right: 35px;
        margin-left: auto;
        margin-right: auto;
        width: 6em
    }
}


#btn_search{
    background-color: black !important;
    margin:  20px auto;
    height: 50px !important;
    width: 80px !important;
    line-height: 50px;
    padding: 0;
    border-radius: 20px;
    margin: 5px;
    transition: .5s;
    display: inline-block !important;
}


.cards:hover{
    background-color: rgba(255, 255, 255, 0.295);
    color:black ;
}

.card a{
    color: white;
}

.image {
    margin-right: 500px;
}
.textfont {
    font-size: 10px;
    font-weight: bold;
}
.namemodal {
    font-size: 12px;
    background-image: linear-gradient(to right, rgba(161, 42, 230, 0.918), rgba(46, 3, 59, 0.884));
}
.decoratinone {
    text-decoration: none;
    color: white;
}